import type { Model } from "./db_model.js";
import type { Record } from "./record_model.js";
export interface RecordProxy extends Model {
    ProxyRecord(): Record;
    SetProxyRecord(record: Record): void;
}
export declare class BaseRecordProxy implements RecordProxy {
    Record: Record | null;
    ProxyRecord(): Record;
    SetProxyRecord(record: Record): void;
    get Id(): string;
    set Id(value: string);
    TableName(): string;
    HookTags(): string[];
    IsNew(): boolean;
    LastSavedPK(): string;
    PK(): string;
    MarkAsNew(): void;
    MarkAsNotNew(): void;
}
